Skip to content
Navigation
View as Markdown

driveItems.move

Move an item to another folder or drive.

POST /api/v1/drive-items/{itemId}/move

Input

Field Type In Description
itemId string path
driveId string body
parentId string | null body

Output

Returns an empty response on success.

Examples

curl

curl -X POST "https://app.thinkbench.com/api/v1/drive-items/<itemId>/move" \
  -H "x-api-key: $THINKBENCH_API_KEY" \
  -H "content-type: application/json" \
  -d '{"driveId":"<driveId>","parentId":"<parentId>"}'

TypeScript SDK

await tb.driveItems.move({ itemId: "<itemId>", driveId: "<driveId>", parentId: "<parentId>" });

CLI

thinkbench drive-items move --item-id "<itemId>" --drive-id "<driveId>" --parent-id "<parentId>"

MCP

{
  "name": "drive_items_move",
  "arguments": {
    "itemId": "<itemId>",
    "driveId": "<driveId>",
    "parentId": "<parentId>"
  }
}